package com.cristobalbernal.foro.Servicios;

import com.cristobalbernal.foro.Entidades.RespuestasEntity;
import com.cristobalbernal.foro.Respositorios.IRespuestas;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ServicioRespuestas {
    @Autowired
    private IRespuestas iRespuestas;
    public ServicioRespuestas() {
    }
    public List<RespuestasEntity> respuestasEntityList(int id){
        return iRespuestas.findAllByForoId(id);
    }
    public void save(RespuestasEntity respuestas){
        iRespuestas.save(respuestas);
    }
    public List<RespuestasEntity> findAll(){
        return iRespuestas.findAll();
    }
}
